Subject: Re: [PATCH] Fix overwritten remote ref on with fast-import.

From: Jonathan Nieder <[email-masked]>
Date: Mon, 16 Jul 2012 22:27:25 -0500

Florian Achleitner wrote:

> When it does advertise refspec like:
> Debug: Remote helper: <- refspec refs/heads/master:refs/remotes/svnfile/master
> it all works. Unfortunatly I didn't understand that a day ago.

Hm, that still doesn't look right.  The RHS of the refspec is supposed to
be a _private_ namespace for the remote helper, and refs/remotes/ is
not private.

Would something like

	refspec refs/heads/*:refs/svn/<name of remote>/*

work?

[...]
> If yes, it makes sense now! A little comment in the sources would help a lot.

Now that you know what the reader of this code needs to know, a patch
would be very welcome.

"git blame" or "git log -S" can be useful to find what the authors
were thinking when they wrote that line, or to find wording to steal
for a comment. :)

Hope that helps,
Jonathan